Skip to content

Retrieve a merchant

Request

Retrieves details of a specific merchant by their merchant ID.

Security
JWT
Path
merchant_idstringrequired

Unique identifier of the merchant

Example:merch_68c777fcOOMpl
GET
/platform/merchants/{merchant_id}
curl -i -X GET \
  https://api.glomopay.com/api/v1/platform/merchants/merch_68c777fcOOMpl \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Merchant retrieved successfully

Bodyapplication/json
owner_merchant_idstringrequired

The ID of the platform/owner merchant

Example:"merch_68511919RVuf6"
merchant_idstringrequired

Unique identifier for the merchant

Example:"merch_68c777fcOOMpl"
statusstringrequired

Current merchant status

Enum:"success""action_required""pending""failed""offboarded"
Example:"success"
namestringrequired

Name of the merchant

Example:"John Doe"
categorystring

Business category

Example:"Agricultural Services"
entity_typestring

Type of merchant entity

Enum:"individual""business"
Example:"individual"
sub_categorystring

Business sub-category (must be paired with correct category)

Example:"Veterinary Services"
genderstring

Gender (only required for individual entity_type)

Enum:"male""female""undefined"
Example:"male"
date_of_birthstring, (date)

Date of birth (only required for individual entity_type)

Example:"2001-08-04"
registration_numberstringrequired

Business registration number or individual ID

Example:"REG123456"
registration_countrystringrequired

Country where the merchant is registered (ISO 3166-1 alpha-3)

Example:"IND"
addressobjectrequired

Merchant address

operation_countriesArray of stringsrequired

List of countries where the merchant operates

Example:
[ "IND" ]
created_atstring, (date-time)required

Timestamp when the merchant was created

Example:"2025-10-07T06:11:47Z"
updated_atstring, (date-time)required

Timestamp when the merchant was last updated

Example:"2025-10-07T06:11:47Z"
jwt_tokenstringrequired

JWT token for the merchant

Example:"child_merchant_JWT"
public_keystring

public key for the merchant

Example:"live_6889e287VfqrPVPg"
Response
{ "owner_merchant_id": "merch_68511919RVuf6", "merchant_id": "merch_68c777fcOOMpl", "status": "success", "name": "John Doe", "category": "Agricultural Services", "entity_type": "individual", "sub_category": "Veterinary Services", "gender": "male", "date_of_birth": "2001-08-04", "registration_number": "REG123456", "registration_country": "IND", "address": { "address_line1": "123 Main St", "address_line2": "", "city": "Bangalore", "state": "Karnataka", "pincode": "560060", "country": "IND" }, "operation_countries": [ "IND" ], "created_at": "2025-10-07T06:11:47Z", "updated_at": "2025-10-07T06:11:47Z", "jwt_token": "child_merchant_JWT", "public_key": "live_6889e287VfqrPVPg" }